> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get month-to-date AI Gateway spend, billed and external

GET https://astropods.com/api/v1/accounts/{account}/gateway/spend

Reference: https://docs.astropods.com/api-reference/astropods-api/billing/get-month-to-date-ai-gateway-spend-billed-and-external

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name

## Response

### 200

OK

- `billed` (GatewayBilledSpend, optional)
- `billed_status` (string, optional)
- `external` (GatewayExternalSpend, optional)
- `period` (GatewaySpendPeriod, optional)

## Errors

### 500 Internal Server Error

Internal Server Error

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### GatewayBilledSpend

- `cost_usd` (double, optional)
- `daily` (list of DayAmount, optional)
- `prior_cost_usd` (double, optional)

### GatewayExternalSpend

- `cost_usd` (double, optional)
- `daily` (list of GatewayExternalDay, optional)
- `prior_cost_usd` (double, optional)
- `sources` (list of GatewayExternalSource, optional)

### GatewaySpendPeriod

- `days` (integer, optional)
- `end` (string, optional)
- `prior_end` (string, optional)
- `prior_start` (string, optional)
- `start` (string, optional)

### DayAmount

- `cost_usd` (double, optional)
- `day` (string, optional)

### GatewayExternalDay

- `by_source` (map from string to double, optional)
- `cost_usd` (double, optional)
- `day` (string, optional)

### GatewayExternalSource

- `cost_usd` (double, optional)
- `icon` (string, optional)
- `key` (string, optional)
- `label` (string, optional)

## Examples

**Response**

```json
{
  "billed": {
    "cost_usd": 1.1,
    "daily": [
      {
        "cost_usd": 1.1,
        "day": "string"
      }
    ],
    "prior_cost_usd": 1.1
  },
  "billed_status": "string",
  "external": {
    "cost_usd": 1.1,
    "daily": [
      {
        "by_source": {},
        "cost_usd": 1.1,
        "day": "string"
      }
    ],
    "prior_cost_usd": 1.1,
    "sources": [
      {
        "cost_usd": 1.1,
        "icon": "string",
        "key": "string",
        "label": "string"
      }
    ]
  },
  "period": {
    "days": 1,
    "end": "string",
    "prior_end": "string",
    "prior_start": "string",
    "start": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/gateway/spend"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/gateway/spend';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/gateway/spend"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/gateway/spend")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/gateway/spend")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/gateway/spend', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/gateway/spend");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/gateway/spend")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```